# Class Bounds

java.lang.Object
com.codename1.ui.scene.Bounds

public class Bounds extends java.lang.Object
Encapsulates bounds in a 3D space.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bounds(double minX, double minY, double minZ, double width, double height, double depth)`

  ###### Parameters

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getDepth()`
  Gets the depth of the bounding cube along z-axis.
  `double`
  `getHeight()`
  Gets the height of the bounding cube along y-axis).
  `double`
  `getMinX()`
  Gets min X coordinate of bounding cube.
  `double`
  `getMinY()`
  Gets the min Y coordinate of bounding cube.
  `double`
  `getMinZ()`
  Sets the min Z coordinate of bounding cube.
  `double`
  `getWidth()`
  Gets the width of the bounding cube (along x-axis)
  `void`
  `setDepth(double depth)`
  Sets the depth of the bounding cube along z-axis
  `void`
  `setHeight(double height)`
  Sets the height of the bounding cube along y-axis.
  `void`
  `setMinX(double minX)`
  Sets min X coordinate of bounding cube.
  `void`
  `setMinY(double minY)`
  Sets the min Y coordinate of bounding cube.
  `void`
  `setMinZ(double minZ)`
  Sets the min Z coordinate of the bounding cube.
  `void`
  `setWidth(double width)`
  Sets the width of the bouding cube along x-axis.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Bounds

    public Bounds(double minX, double minY, double minZ, double width, double height, double depth)

    ###### Parameters

    - `minX`

    - `minY`

    - `minZ`

    - `width`

    - `height`

    - `depth`

- ## Method Details

  - ### getMinX

    public double getMinX()

    Gets min X coordinate of bounding cube.

    ###### Returns

    the minX

  - ### setMinX

    public void setMinX(double minX)

    Sets min X coordinate of bounding cube.

    ###### Parameters

    - `minX`: the minX to set

  - ### getMinY

    public double getMinY()

    Gets the min Y coordinate of bounding cube.

    ###### Returns

    the minY

  - ### setMinY

    public void setMinY(double minY)

    Sets the min Y coordinate of bounding cube.

    ###### Parameters

    - `minY`: the minY to set

  - ### getMinZ

    public double getMinZ()

    Sets the min Z coordinate of bounding cube.

    ###### Returns

    the minZ

  - ### setMinZ

    public void setMinZ(double minZ)

    Sets the min Z coordinate of the bounding cube.

    ###### Parameters

    - `minZ`: the minZ to set

  - ### getWidth

    public double getWidth()

    Gets the width of the bounding cube (along x-axis)

    ###### Returns

    the width

  - ### setWidth

    public void setWidth(double width)

    Sets the width of the bouding cube along x-axis.

    ###### Parameters

    - `width`: the width to set

  - ### getHeight

    public double getHeight()

    Gets the height of the bounding cube along y-axis).

    ###### Returns

    the height

  - ### setHeight

    public void setHeight(double height)

    Sets the height of the bounding cube along y-axis.

    ###### Parameters

    - `height`: the height to set

  - ### getDepth

    public double getDepth()

    Gets the depth of the bounding cube along z-axis.

    ###### Returns

    the depth

  - ### setDepth

    public void setDepth(double depth)

    Sets the depth of the bounding cube along z-axis

    ###### Parameters

    - `depth`: the depth to set